<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI GSS Assist</title>
    <filename>main</filename>
    <docanchor file="main">globus_gsi_gss_assist</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__gss__assist__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_GSS_ASSIST_MODULE</name>
      <anchorfile>group__globus__gsi__gss__assist__activation.html</anchorfile>
      <anchor>gb24759b1cc2c1496aae8df23d5b63076</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist</name>
    <title>Utility Functions</title>
    <filename>group__globus__gsi__gss__assist.html</filename>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g01e75ed381ee5a89e6e19c4c12117d73</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, int *token_status, gss_cred_id_t *delegated_cred_handle, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_accept_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g5e1eef554700030ed889b3b594eab4cc</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, const gss_cred_id_t cred_handle, char **src_name_char, OM_uint32 *ret_flags, int *user_to_user_flag, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp, gss_cred_id_t *delegated_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g47713e99f1d1429ac3212dbc3e4854a8</anchor>
      <arglist>(OM_uint32 *minor_status, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_acquire_cred_ext</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g9d527b8e3ab9459a0a9c95a0fc7ca057</anchor>
      <arglist>(OM_uint32 *minor_status, char *desired_name_char, OM_uint32 time_req, const gss_OID_set desired_mechs, gss_cred_usage_t cred_usage, gss_cred_id_t *output_cred_handle, gss_OID_set *actual_mechs, OM_uint32 *time_rec)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g56720113a3aa7c40f4da81e71cb13190</anchor>
      <arglist>(FILE *fp, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_display_status_str</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g6a64e15ba5f89d8d8cd4b501bc07de7c</anchor>
      <arglist>(char **str, char *comment, OM_uint32 major_status, OM_uint32 minor_status, int token_status)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_gridmap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g8cb7da6808b720b5185d67d858e78fec</anchor>
      <arglist>(char *globusidp, char **useridp)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_userok</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g6bfda92b7cb95813557688b7bdc8cea7</anchor>
      <arglist>(char *globusid, char *userid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_map_local_user</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g5e73fcdc1c36dde30c06721f80e9250e</anchor>
      <arglist>(char *local_user, char **globusidp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_import_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>g7f81c21b7208321ba527b13e1a83e9c9</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle, int *token_status, int fdp, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gb903ee3c21ece07d455a0cc56def425f</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_init_sec_context_async</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gb9839402fbd6f43027e78bc220ebec62</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_cred_id_t cred_handle, gss_ctx_id_t *context_handle, char *target_name_char, OM_uint32 req_flags, OM_uint32 *ret_flags, void *input_buffer, size_t input_buffer_len, void **output_bufferp, size_t *output_buffer_lenp)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_will_handle_restrictions</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>ge685a612319e645b788ea25ea9087879</anchor>
      <arglist>(OM_uint32 *minor_status, gss_ctx_id_t *context_handle)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_get_unwrap</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gd7bf365bb646fed30b50f74773271c06</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char **data, size_t *length, int *token_status, int(*gss_assist_get_token)(void *, void **, size_t *), void *gss_assist_get_context, FILE *fperr)</arglist>
    </member>
    <member kind="function">
      <type>OM_uint32</type>
      <name>globus_gss_assist_wrap_send</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gc60f4966ae13e3e9bc8188ce4aef40f9</anchor>
      <arglist>(OM_uint32 *minor_status, const gss_ctx_id_t context_handle, char *data, size_t length, int *token_status, int(*gss_assist_send_token)(void *, void *, size_t), void *gss_assist_send_context, FILE *fperr)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>NI_MAXHOST</name>
      <anchorfile>group__globus__gsi__gss__assist.html</anchorfile>
      <anchor>gebc53e498b2434654a1d44070d9ccd40</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_constants</name>
    <title>GSI GSS Assist Constants</title>
    <filename>group__globus__gsi__gss__assist__constants.html</filename>
    <member kind="enumeration">
      <name>globus_gsi_gss_assist_error_t</name>
      <anchor>gbf8e6c38ce523b96e029c44829b1cd4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_SUCCESS</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f43df0e8be1c263efb660c260a7c49963</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_ARGUMENTS</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f50f6399873002772734e0e89d00cba09</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_USER_ID_DOESNT_MATCH</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f9b20755b1e439ecbb28842c10e26209d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IN_GRIDMAP_NO_USER_ENTRY</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fde68f5c9b701d0450788d8eeed37f3f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_GRIDMAP</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f675755c1260b8576f91a5511ca2f0392</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INVALID_GRIDMAP_FORMAT</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f28eb1976408a759c9b969bbd1e1e9ca9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_ERRNO</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fabe83324ed3455d3d73f0f212e57ddcd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_INIT</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f25932c4a82d050c4dfe90d916205eb1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_WRAP</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f916f42f40b3dd7dd07f1adb0f04d1596</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_TOKEN</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f5f09c2a57f65159913631b7720514287</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_EXPORTING_CONTEXT</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4ffaafb25a8069d6099c2e82e94f6f8374</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_IMPORTING_CONTEXT</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fb414ebefbb6fba75275ed2af2558d03d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_INITIALIZING_CALLOUT_HANDLE</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fcd3e0ef22f51a765e8a034acb685de6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_WITH_CALLOUT_CONFIG</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fa3116a6dd011d0fad36336c1833d4bc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_CALLOUT_ERROR</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f2038d2f3e57eeeb5e08ac1fe6ad4f37b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GSSAPI_ERROR</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f4e12779075965ee7e4f85ef421f61b04</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_GRIDMAP_LOOKUP_FAILED</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fc5bf4d6094ddb3469e4f925f852c622d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_BUFFER_TOO_SMALL</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4f8eb093125d2dbc84af9d3e6944b601c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GSI_GSS_ASSIST_ERROR_CANONICALIZING_HOSTNAME</name>
      <anchor>ggbf8e6c38ce523b96e029c44829b1cd4fe790a37973ee75c3b844a37bfd65ae90</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gsi_gss_assist_tokens</name>
    <title>Security Token Transport</title>
    <filename>group__globus__gsi__gss__assist__tokens.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g4fbff6540f5094be4b702d5149ce9276</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g505c2624fc42917bbdf17aee0234caf2</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_without_length</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g8382fddaf621387f650bccba2452e691</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_fd_ex</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g58f0c32d5b71bd3664fe15d267a8331c</anchor>
      <arglist>(void *exp, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_get_nexus</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g3764c5df1a468c100deabc8374a5237f</anchor>
      <arglist>(void *arg, void **bufp, size_t *sizep)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g6fb2ea4cbdbbef1522140257963882ff</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus_without_length</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>gf712c64d56554aa9ce842f8d5d103dc3</anchor>
      <arglist>(void *arg, void *buf, size_t size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gss_assist_token_send_nexus_ex</name>
      <anchorfile>group__globus__gsi__gss__assist__tokens.html</anchorfile>
      <anchor>g8d1c553c4c4696492cde547c03309e26</anchor>
      <arglist>(void *exp, void *buf, size_t size)</arglist>
    </member>
  </compound>
</tagfile>
